C
C     Creates all-sky archive of Hipparcos Hp magnitudes converted to V and B
C
C     Input file contains:
C     1.record with HD number, B-V and U-B
C     records with HJD, Hp, rms and error flag
C
C     Output file is an all-sky ASCII archive to be sorted by SORTARCH
C
C
C     Release 3  January 18, 2010
C
C     It uses values of 99.999 for missing
C     U values, respectively
C
C     A new scheme of the classification of quality was adopted:
C       1... rms above 0.010 or error flag 1
C       2... rms 0.004 - 0.010 and error flag 0
C       3... rms 0.000 - 0.003 and error flag 0
C
C     All `nights' are considered as suitable for all-sky photometry
C
C 
      IMPLICIT REAL*8 (A-H,O-Z)
      INTEGER*4 NQ,WHO,STATION,HDC,HD
      CHARACTER*12 IN,OUT
      CHARACTER*80 TEX
C
      PRINT *,'Creates VYPAR input file for UBV archives/'
      PRINT *,'Input ASCII data file with B-V, U-B and HJD, Hp and rms'
      READ(*,'(A)') IN
      OPEN(1,FILE=IN,STATUS='OLD')
      PRINT *,'Output file of differential photometric archive?'
      READ(*,'(A)') OUT
      OPEN(2,FORM='FORMATTED',STATUS='NEW',FILE=OUT)
C
      WHO=118
      STATION=61
      KE=1
      X=1D0
      DX=0D0
      READ(1,100) TEX
  100 FORMAT(A80)
      WRITE(*,100) TEX
      READ(1,*) HD,BV,UB
      BV2=BV*BV
      BV3=BV*BV2
      HDC=0
C
C
    1 READ(1,*,END=10) HJD,V,R,J
      IF(J.GT.1) GO TO 1
      KQ=113
      IF(R.GT.0.0030001E0) KQ=112
      IF(R.GT.0.0100001E0.OR.J.EQ.1) KQ=111
      NQ=KQ+1000*KE+10000*STATION
      V=V-0.29642D0*BV+0.00503D0*UB+0.11096D0*BV2+0.01575*BV3+0.00716D0
      B=V+BV
      U=99.999D0
      WRITE(2,7001) HD,HJD,WHO,NQ,V,B,U,X,DX,HDC
 7001 FORMAT(I7,F11.4,I10,I8,3F7.3,F6.3,F7.3,I7)
      GO TO 1
C
   10 CONTINUE
      STOP 7
      END
