C
C
C     Transforming LaSilla Danish 0.50-m uvby into Data A of HEC22
C     Correction for grey filters not included
C     Recommended value of dead time coef. per 1 sec. is 8.3D-8
C
      IMPLICIT REAL*8 (A-H,O-Z)
      DIMENSION TEX(10),TX(5),V(4),U(4),D(8)
      INTEGER*2 NS(200),BAR(4)
      CHARACTER*6 NGT
      CHARACTER*8 P,HV,S(200),OBS
      CHARACTER*12 INP,OUT
C
      COMMON /DTC/ DT
C
C     Definition of special data values
C
      DATA BAR/3,4,2,1/
C     DATA F/8.6123,8.5349,7.6963,8.1929,79.711,73.634,11888.,131.63/
C
C     Input formats
C                 
  101 FORMAT(11X,F6.5,22X,I4,2X,A8)
  102 FORMAT(1X,F9.0,3(10X,F9.0))      
  103 FORMAT(A8,I8)
C
C     Output formats
C
  201 FORMAT(I5,2I3,F9.5,4F10.1,4F5.1)
  202 FORMAT(5A8)
  203 FORMAT(F3.0,I3,I5,4H 412)
  205 FORMAT(5H    0)
  206 FORMAT(10A8)
  207 FORMAT('Night ',A6,' LaSilla 0.5-m uvby 'A8)
C
C     Formats of error messages
C
  301 FORMAT(' Error: Star ',A8,' is missing in table of objects')
C
      PRINT *,'Creating HEC22 type A data  Rel. 4  March 27, 1995'
C
      PRINT *,'Input file of Danish 0.5-m data?'
      READ(*,'(A)') INP
      PRINT *,'Output HEC22 data file?'
      READ(*,'(A)') OUT
      OPEN(1,FILE=INP,STATUS='OLD')
      OPEN(2,FILE=OUT,STATUS='NEW')
      OPEN(3,FILE='TAB.CON',STATUS='OLD')
C
C        
      READ(1,206) TEX
      WRITE(*,206) TEX
C
    2 PRINT *,'Night No.? (max. 6 characters, e.g.: 25/92)'
      READ(*,'(A)') NGT
      PRINT *,'Observer? (max. 8 characters)'
      READ(*,'(A)') OBS
      WRITE(2,207) NGT,OBS
      WRITE(*,207) NGT,OBS
      PRINT *,'Comments on quality, weather etc. (max. 40 characters!)'
      PRINT *,'<                                     >'
      READ(*,206) TX
      WRITE(2,202) TX
      PRINT *,'Date of the beginning of night (day, month, year)?'
      READ(*,*) DEN,M,J
      A=-4.715555555
      B=-29.25
      WRITE(2,203) DEN,M,J
C
C     Input of table of star names and specifications
C
      NN=0             
    3 READ(3,103,END=7) HV,K
      NN=NN+1
      S(NN)=HV
      NS(NN)=K    
      GO TO 3
C
C     Input of observations begins
C                                                     
    7 READ(1,101,END=10) GJD,IT,HV 
      DO 4 J=1,NN
      IF(S(J).NE.HV) GO TO 4
      N=NS(J)
      T=24D0*(GJD-5.787037D-6*IT)
      JH=T
      T=60D0*(T-JH)
      JM=T
      T=60D0*(T-JM)
      JH=JH+8
      GO TO 8
    4 CONTINUE
      WRITE(2,301) HV
      STOP 13
C
C     Input of stellar deflections
C                    
    8 READ(1,102) V
   12 DO 6 J=1,4
      I=BAR(J)
    6 D(I)=V(J)/IT
C
C     Input of sky readings
C
      READ(1,103) P
      READ(1,102) U
      DO 11 J=1,4
      I=BAR(J)
   11 D(I+4)=U(J)/IT
C
   14 WRITE(2,201) N,JH,JM,T,D
      GO TO 7
C
   10 WRITE(2,205) 
      STOP 7
      END
